lscpu -p is showing wrong values for Node component

Bug #1427995 reported by bugproxy on 2015-03-04
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
util-linux (Ubuntu)
Trusty
Medium
Mathieu Trudel-Lapierre

Bug Description

[Impact]
Any user of lscpu on systems with multiple NUMA nodes.

[Test case]
On a POWER8 system:
1) Run 'lscpu'; take note of the values for "NUMA node# CPU(s)".
2) Run 'lscpu -p'.

The values on the fourth column in lscpu -p output should match the node for which the CPU (first column) is listed (or contained in the displayed range). For example:

$ lscpu
[...]
NUMA node0 CPU(s): 0-12,14-39
[...]
NUMA node3 CPU(s): 13,40-79
[...]
$ lscpu -p
[...]
12,1,0,0,,1,1,1,1
13,1,0,3,,1,1,1,1
[...]
39,4,0,0,,4,4,4,4
40,5,1,3,,5,5,5,5
[..]

The fourth column for CPU 12 and 39 is "0", which matches the "node0" range of 0-12,14-39.
The fourth column for CPU 13 and 40 is "3", which matches the "node3" range 13,40-79.

[Regression potential]
This change is limited to the output of a command that can be parsed; so any regression would be erroneous values for node "names" or numbers, which may throw off data retrieved by parsing the output of lscpu.

This particular bug constitutes the fix to a regression in a previous SRU (ubuntu7.4), which included changes to support discontinuous NUMA nodes, and introduced the code this SRU changes, so the regression potential is minimal (this particular feature of lscpu is already broken).

---

---Problem Description---
lscpu -p is showing wrong values for Node component

---uname output---
Linux ubuntu 3.16.0-25-generic #14-Ubuntu ppc64le ppc64le ppc64le GNU/Linux

Machine Type = P8

---Debugger---
A debugger is not configured

---Steps to Reproduce---
Install a P8 machine with Ubuntu 14.04.02 ISO image in Power NV mode.
Then execute the below test scenario.

root@ubuntu-daily:~# lscpu -p
# The following is the parsable format, which can be fed to other
# programs. Each different item in every column has an unique ID
# starting from zero.
# CPU,Core,Socket,Node,,L1d,L1i,L2,L3
0,0,0,0,,0,0,0,0
1,0,0,1,,0,0,0,0
2,0,0,16,,0,0,0,0
3,0,0,17,,0,0,0,0
4,0,0,0,,0,0,0,0
5,0,0,0,,0,0,0,0
6,0,0,33,,0,0,0,0
7,0,0,0,,0,0,0,0
8,1,0,0,,1,1,1,1
9,1,0,0,,1,1,1,1
10,1,0,-1429431768,,1,1,1,1
11,1,0,16383,,1,1,1,1
12,1,0,1852125029,,1,1,1,1
13,1,0,777213279,,1,1,1,1
14,1,0,81,,1,1,1,1
15,1,0,0,,1,1,1,1
16,2,0,1920169263,,2,2,2,2
17,2,0,1634235183,,2,2,2,2
18,2,0,1815045490,,2,2,2,2
19,2,0,1818321775,,2,2,2,2
20,2,0,1852125029,,2,2,2,2
21,2,0,777213279,,2,2,2,2
22,2,0,759583829,,2,2,2,2
23,2,0,1953836600,,2,2,2,2
24,3,0,1278163046,,3,3,3,3
25,3,0,1162698563,,3,3,3,3
26,3,0,1195463507,,3,3,3,3
27,3,0,1966035781,,3,3,3,3
28,3,0,762079604,,3,3,3,3
29,3,0,1970170220,,3,3,3,3
30,3,0,1869426296,,3,3,3,3
31,3,0,0,,3,3,3,3
32,4,1,0,,4,4,4,4
33,4,1,0,,4,4,4,4
34,4,1,177,,4,4,4,4
35,4,1,0,,4,4,4,4
36,4,1,269092192,,4,4,4,4
37,4,1,256,,4,4,4,4
38,4,1,1,,4,4,4,4
39,4,1,16383,,4,4,4,4
40,5,1,0,,5,5,5,5
41,5,1,0,,5,5,5,5
42,5,1,269096544,,5,5,5,5
43,5,1,256,,5,5,5,5
44,5,1,269092512,,5,5,5,5
45,5,1,256,,5,5,5,5
46,5,1,269097536,,5,5,5,5
47,5,1,256,,5,5,5,5
48,6,1,269092688,,6,6,6,6
49,6,1,256,,6,6,6,6
50,6,1,269098208,,6,6,6,6
51,6,1,256,,6,6,6,6
52,6,1,269096960,,6,6,6,6
53,6,1,256,,6,6,6,6
54,6,1,269097456,,6,6,6,6
55,6,1,256,,6,6,6,6
56,7,1,269096544,,7,7,7,7
57,7,1,256,,7,7,7,7
58,7,1,269098592,,7,7,7,7
59,7,1,256,,7,7,7,7
60,7,1,269097344,,7,7,7,7
61,7,1,256,,7,7,7,7
62,7,1,269098016,,7,7,7,7
63,7,1,256,,7,7,7,7
64,8,2,269096880,,8,8,8,8
65,8,2,256,,8,8,8,8
66,8,2,269098400,,8,8,8,8
67,8,2,256,,8,8,8,8
68,8,2,269097184,,8,8,8,8
69,8,2,256,,8,8,8,8
70,8,2,269097856,,8,8,8,8
71,8,2,256,,8,8,8,8
72,9,2,269096672,,9,9,9,9
73,9,2,256,,9,9,9,9
74,9,2,0,,9,9,9,9
75,9,2,0,,9,9,9,9
76,9,2,0,,9,9,9,9
77,9,2,0,,9,9,9,9
78,9,2,65,,9,9,9,9
79,9,2,0,,9,9,9,9
80,10,2,1920169263,,10,10,10,10
81,10,2,1634235183,,10,10,10,10
82,10,2,1815045490,,10,10,10,10
83,10,2,1818321775,,10,10,10,10
84,10,2,1852125029,,10,10,10,10
85,10,2,777213279,,10,10,10,10
86,10,2,759583829,,10,10,10,10
87,10,2,1129066296,,10,10,10,10
88,11,2,1397050719,,11,11,11,11
89,11,2,1162297683,,11,11,11,11
90,11,2,1953836883,,11,11,11,11
91,11,2,1814916201,,11,11,11,11
92,11,2,2020961897,,11,11,11,11
93,11,2,7302446,,11,11,11,11
94,11,2,113,,11,11,11,11
95,11,2,0,,11,11,11,11
96,12,3,269092448,,12,12,12,12
97,12,3,256,,12,12,12,12
98,12,3,1,,12,12,12,12
99,12,3,16383,,12,12,12,12
100,12,3,0,,12,12,12,12
101,12,3,0,,12,12,12,12
102,12,3,269092272,,12,12,12,12
103,12,3,256,,12,12,12,12
104,13,3,269092688,,13,13,13,13
105,13,3,256,,13,13,13,13
106,13,3,269096960,,13,13,13,13
107,13,3,256,,13,13,13,13
108,13,3,269096544,,13,13,13,13
109,13,3,256,,13,13,13,13
110,13,3,269097344,,13,13,13,13
111,13,3,256,,13,13,13,13
112,14,3,269096880,,14,14,14,14
113,14,3,256,,14,14,14,14
114,14,3,269097184,,14,14,14,14
115,14,3,256,,14,14,14,14
116,14,3,269096672,,14,14,14,14
117,14,3,256,,14,14,14,14
118,14,3,0,,14,14,14,14
119,14,3,0,,14,14,14,14
120,15,3,0,,15,15,15,15
121,15,3,0,,15,15,15,15
122,15,3,65,,15,15,15,15
123,15,3,0,,15,15,15,15
124,15,3,1920169263,,15,15,15,15
125,15,3,1634235183,,15,15,15,15
126,15,3,1815045490,,15,15,15,15
127,15,3,1818321775,,15,15,15,15

root@ubuntu-daily:~# dpkg --list | grep util-linux
ii util-linux 2.20.1-5.1ubuntu20.4 ppc64el Miscellaneous system utilities

Contact Information = <email address hidden>

Userspace tool common name: /usr/bin/lscpu

The userspace tool has the following bit modes: 64-bit

Userspace package: util-linux

Userspace tool obtained from project website: na

bugproxy (bugproxy) on 2015-03-04
tags: added: architecture-ppc64le bugnameltc-122343 severity-high targetmilestone-inin14042

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/1427995/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment

------- Comment From <email address hidden> 2015-03-25 06:12 EDT-------
Team Canonical,

Any update on this issue?

Thanks,
Chandan

Luciano Chavez (lnx1138) on 2015-03-31
affects: ubuntu → util-linux (Ubuntu)
Steve Langasek (vorlon) wrote :

Please note that bugs in launchpad should be assigned to taco-screen-team if you are looking for Canonical to take action on them.

This bug has been assigned to the util-linux package, and says that the output in the 'node' column is incorrect. What are the correct values for the 'node' field, and where does lscpu get this information? For instance, it seems possible that the erroneous information comes from the kernel rather than due to a bug in the util-linux package.

------- Comment (attachment only) From <email address hidden> 2015-07-17 09:25 EDT-------

------- Comment (attachment only) From <email address hidden> 2015-07-17 09:30 EDT-------

Download full text (4.1 KiB)

------- Comment From <email address hidden> 2015-07-17 10:39 EDT-------
** Externalizing the Comment **

The expected values of the same scenario on Ubuntu 15.10 OS on P8 Hardware :

root@p824l:~# uname -a
Linux p824l 4.0.0-4-generic #6-Ubuntu SMP Tue Jun 30 20:50:37 UTC 2015 ppc64le ppc64le ppc64le GNU/Linux

root@p824l:~# dpkg -S /usr/bin/lscpu
util-linux: /usr/bin/lscpu
root@p824l:~# dpkg --list | grep util-linux
ii util-linux 2.26.2-6ubuntu1 ppc64el Miscellaneous system utilities

root@p824l:~# lscpu -p
# The following is the parsable format, which can be fed to other
# programs. Each different item in every column has an unique ID
# starting from zero.
# CPU,Core,Socket,Node,,L1d,L1i,L2,L3
0,0,0,0,,0,0,0,0
1,0,0,0,,0,0,0,0
2,0,0,0,,0,0,0,0
3,0,0,0,,0,0,0,0
4,0,0,0,,0,0,0,0
5,0,0,0,,0,0,0,0
6,0,0,0,,0,0,0,0
7,0,0,0,,0,0,0,0
8,1,0,0,,1,1,1,1
9,1,0,0,,1,1,1,1
10,1,0,0,,1,1,1,1
11,1,0,0,,1,1,1,1
12,1,0,0,,1,1,1,1
13,1,0,0,,1,1,1,1
14,1,0,0,,1,1,1,1
15,1,0,0,,1,1,1,1
16,2,0,0,,2,2,2,2
17,2,0,0,,2,2,2,2
18,2,0,0,,2,2,2,2
19,2,0,0,,2,2,2,2
20,2,0,0,,2,2,2,2
21,2,0,0,,2,2,2,2
22,2,0,0,,2,2,2,2
23,2,0,0,,2,2,2,2
24,3,0,0,,3,3,3,3
25,3,0,0,,3,3,3,3
26,3,0,0,,3,3,3,3
27,3,0,0,,3,3,3,3
28,3,0,0,,3,3,3,3
29,3,0,0,,3,3,3,3
30,3,0,0,,3,3,3,3
31,3,0,0,,3,3,3,3
32,4,0,0,,4,4,4,4
33,4,0,0,,4,4,4,4
34,4,0,0,,4,4,4,4
35,4,0,0,,4,4,4,4
36,4,0,0,,4,4,4,4
37,4,0,0,,4,4,4,4
38,4,0,0,,4,4,4,4
39,4,0,0,,4,4,4,4
40,5,1,1,,5,5,5,5
41,5,1,1,,5,5,5,5
42,5,1,1,,5,5,5,5
43,5,1,1,,5,5,5,5
44,5,1,1,,5,5,5,5
45,5,1,1,,5,5,5,5
46,5,1,1,,5,5,5,5
47,5,1,1,,5,5,5,5
48,6,1,1,,6,6,6,6
49,6,1,1,,6,6,6,6
50,6,1,1,,6,6,6,6
51,6,1,1,,6,6,6,6
52,6,1,1,,6,6,6,6
53,6,1,1,,6,6,6,6
54,6,1,1,,6,6,6,6
55,6,1,1,,6,6,6,6
56,7,1,1,,7,7,7,7
57,7,1,1,,7,7,7,7
58,7,1,1,,7,7,7,7
59,7,1,1,,7,7,7,7
60,7,1,1,,7,7,7,7
61,7,1,1,,7,7,7,7
62,7,1,1,,7,7,7,7
63,7,1,1,,7,7,7,7
64,8,1,1,,8,8,8,8
65,8,1,1,,8,8,8,8
66,8,1,1,,8,8,8,8
67,8,1,1,,8,8,8,8
68,8,1,1,,8,8,8,8
69,8,1,1,,8,8,8,8
70,8,1,1,,8,8,8,8
71,8,1,1,,8,8,8,8
72,9,1,1,,9,9,9,9
73,9,1,1,,9,9,9,9
74,9,1,1,,9,9,9,9
75,9,1,1,,9,9,9,9
76,9,1,1,,9,9,9,9
77,9,1,1,,9,9,9,9
78,9,1,1,,9,9,9,9
79,9,1,1,,9,9,9,9
80,10,2,16,,10,10,10,10
81,10,2,16,,10,10,10,10
82,10,2,16,,10,10,10,10
83,10,2,16,,10,10,10,10
84,10,2,16,,10,10,10,10
85,10,2,16,,10,10,10,10
86,10,2,16,,10,10,10,10
87,10,2,16,,10,10,10,10
88,11,2,16,,11,11,11,11
89,11,2,16,,11,11,11,11
90,11,2,16,,11,11,11,11
91,11,2,16,,11,11,11,11
92,11,2,16,,11,11,11,11
93,11,2,16,,11,11,11,11
94,11,2,16,,11,11,11,11
95,11,2,16,,11,11,11,11
96,12,2,16,,12,12,12,12
97,12,2,16,,12,12,12,12
98,12,2,16,,12,12,12,12
99,12,2,16,,12,12,12,12
100,12,2,16,,12,12,12,12
101,12,2,16,,12,12,12,12
102,12,2,16,,12,12,12,12
103,12,2,16,,12,12,12,12
104,13,2,16,,13,13,13,13
105,13,2,16,,13,13,13,13
106,13,2,16,,13,13,13,13
107,13,2,16,,13,13,13,13
108,13,2,16,,13,13,13,13
109,13,2,16,,13,13,13,13
110,13,2,16,,13,13,13,13
111,13,2,16,,13,13,13,13
112,14,2,16,,14,14,14,14
113,14,2,16,,14,14,14,14
114,14,2,16,,14,14,14,14
115,14,2,16,,14,14,14,14
116,14,2,16,,14,14,14,14
117,14,2,16,,14,14,14,14
118,14,2,16,,14,14,14,14
119,14,2,16,,14,14,14,14
120,15,3,17,,15,15,15,15
121...

Read more...

Luciano Chavez (lnx1138) on 2015-07-18
Changed in util-linux (Ubuntu):
assignee: nobody → Taco Screen team (taco-screen-team)
Steve Langasek (vorlon) wrote :

Thanks for this additional information. This still doesn't answer the question of whether the bug is in lscpu, or in the kernel's /sys interfaces. Have you checked whether old util-linux with new kernel, or new util-linux with old kernel, works?

Steve Langasek (vorlon) wrote :

I've just done a test here with both Ubuntu 14.04 and Ubuntu 15.04 versions of util-linux (2.20.1-5.1ubuntu20.4 vs. 2.25.2-4ubuntu2), and I can confirm that the older version of lscpu gives different output on the same kernel. So yes, this is a bug in util-linux's parsing of /sys.

Changed in util-linux (Ubuntu):
importance: Undecided → High
status: New → Triaged
milestone: none → ubuntu-14.04.4
bugproxy (bugproxy) on 2015-08-10
tags: added: severity-medium
removed: severity-high
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2015-08-12 06:10 EDT-------
Team Canonical,

It has been a while, can we have update on this?

Thanks,

Steve Langasek (vorlon) on 2015-08-12
Changed in util-linux (Ubuntu):
assignee: Taco Screen team (taco-screen-team) → Mathieu Trudel-Lapierre (mathieu-tl)

Steve, what exactly did you test?

This issue looks a lot like what should have been fixed by 2.20.1-5.1ubuntu20.4; discontinuous NUMA nodes, but it's already the version that would have been used.

I have access to a system which appears to show the issue, so I'll see if I can find which other upstream commit solves the issue.

Changed in util-linux (Ubuntu):
status: Triaged → In Progress
description: updated

Fixed up to correctly target this at Trusty; this bug doesn't exist in later releases. I uploaded the SRU to the trusty queue.

Changed in util-linux (Ubuntu Trusty):
status: New → In Progress
importance: Undecided → High
Changed in util-linux (Ubuntu):
status: In Progress → Invalid
assignee: Mathieu Trudel-Lapierre (mathieu-tl) → nobody
Changed in util-linux (Ubuntu Trusty):
assignee: nobody → Mathieu Trudel-Lapierre (mathieu-tl)

Hello bugproxy, or anyone else affected,

Accepted util-linux into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/util-linux/2.20.1-5.1ubuntu20.7 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in util-linux (Ubuntu Trusty):
status: In Progress → Fix Committed
bugproxy (bugproxy) on 2015-09-02
tags: added: targetmilestone-inin14043
removed: targetmilestone-inin14042
Changed in util-linux (Ubuntu Trusty):
milestone: none → ubuntu-14.04.4
Changed in util-linux (Ubuntu):
milestone: ubuntu-14.04.4 → none

Verified this on a fully-enabled POWER8 system; confirming that without the patch, multiple CPUs show incorrect node values (random garbage):

144,18,3,0,,18,18,18,18
145,18,3,0,,18,18,18,18
146,18,3,436483456,,18,18,18,18
147,18,3,256,,18,18,18,18
148,18,3,436482464,,18,18,18,18
149,18,3,256,,18,18,18,18
150,18,3,436482800,,18,18,18,18
151,18,3,256,,18,18,18,18
152,19,3,436482592,,19,19,19,19
153,19,3,256,,19,19,19,19
154,19,3,0,,19,19,19,19
155,19,3,0,,19,19,19,19
156,19,3,0,,19,19,19,19
157,19,3,0,,19,19,19,19
158,19,3,33,,19,19,19,19
159,19,3,0,,19,19,19,19

... And with the patch, things are the way they should:

144,18,3,17,,18,18,18,18
145,18,3,17,,18,18,18,18
146,18,3,17,,18,18,18,18
147,18,3,17,,18,18,18,18
148,18,3,17,,18,18,18,18
149,18,3,17,,18,18,18,18
150,18,3,17,,18,18,18,18
151,18,3,17,,18,18,18,18
152,19,3,17,,19,19,19,19
153,19,3,17,,19,19,19,19
154,19,3,17,,19,19,19,19
155,19,3,17,,19,19,19,19
156,19,3,17,,19,19,19,19
157,19,3,17,,19,19,19,19
158,19,3,17,,19,19,19,19
159,19,3,17,,19,19,19,19

tags: added: verification-done

The verification of the Stable Release Update for util-linux has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package util-linux - 2.20.1-5.1ubuntu20.7

---------------
util-linux (2.20.1-5.1ubuntu20.7) trusty; urgency=medium

  * Use the correct parameter to index node names. (LP: #1427995)

 -- Mathieu Trudel-Lapierre <email address hidden> Wed, 02 Sep 2015 11:06:26 -0400

Changed in util-linux (Ubuntu Trusty):
status: Fix Committed → Fix Released
Changed in util-linux (Ubuntu):
importance: High → Medium
Changed in util-linux (Ubuntu Trusty):
importance: High → Medium
Robin (robingape) wrote :

For reference, the deployed fix shows correct result on an Intel i7 processor:
Prior to update:

# CPU,Core,Socket,Node,,L1d,L1i,L2,L3
0,0,0,0,,0,0,0,0
1,1,0,0,,1,1,1,0
2,2,0,0,,2,2,2,0
3,3,0,0,,3,3,3,0
4,0,0,0,,0,0,0,0
5,1,0,0,,1,1,1,0
6,2,0,65,,2,2,2,0
7,3,0,0,,3,3,3,0

After update:

# CPU,Core,Socket,Node,,L1d,L1i,L2,L3
0,0,0,0,,0,0,0,0
1,1,0,0,,1,1,1,0
2,2,0,0,,2,2,2,0
3,3,0,0,,3,3,3,0
4,0,0,0,,0,0,0,0
5,1,0,0,,1,1,1,0
6,2,0,0,,2,2,2,0
7,3,0,0,,3,3,3,0

Note the previously incorrect result for CPU 6 is corrected on the updated version of lscpu -p

no longer affects: util-linux (Ubuntu)
Download full text (4.6 KiB)

------- Comment From <email address hidden> 2015-12-09 08:50 EDT-------
I have installed a PowerNV 8284-22A P8 Hardware with Ubuntu 14.04.3 ISO.
Then executed the test scenario again to verify if the issue is fixed.

root@powerkvmpok002:~# uname -a
Linux powerkvmpok002 3.19.0-39-generic #44~14.04.1-Ubuntu SMP Wed Dec 2 10:00:52 UTC 2015 ppc64le ppc64le ppc64le GNU/Linux

root@powerkvmpok002:~# cat /etc/os-release
NAME="Ubuntu"
VERSION="14.04.3 LTS, Trusty Tahr"
ID=ubuntu
ID_LIKE=debian
PRETTY_NAME="Ubuntu 14.04.3 LTS"
VERSION_ID="14.04"
HOME_URL="http://www.ubuntu.com/"
SUPPORT_URL="http://help.ubuntu.com/"
BUG_REPORT_URL="http://bugs.launchpad.net/ubuntu/"

root@powerkvmpok002:~# which lscpu
/usr/bin/lscpu
root@powerkvmpok002:~# dpkg -S /usr/bin/lscpu
util-linux: /usr/bin/lscpu
root@powerkvmpok002:~# dpkg --list | grep util-linux
ii util-linux 2.20.1-5.1ubuntu20.7 ppc64el Miscellaneous system utilities

root@powerkvmpok002:~# lscpu -p
# The following is the parsable format, which can be fed to other
# programs. Each different item in every column has an unique ID
# starting from zero.
# CPU,Core,Socket,Node,,L1d,L1i,L2,L3
0,0,0,0,,0,0,0,0
1,0,0,0,,0,0,0,0
2,0,0,0,,0,0,0,0
3,0,0,0,,0,0,0,0
4,0,0,0,,0,0,0,0
5,0,0,0,,0,0,0,0
6,0,0,0,,0,0,0,0
7,0,0,0,,0,0,0,0
8,1,0,0,,1,1,1,1
9,1,0,0,,1,1,1,1
10,1,0,0,,1,1,1,1
11,1,0,0,,1,1,1,1
12,1,0,0,,1,1,1,1
13,1,0,0,,1,1,1,1
14,1,0,0,,1,1,1,1
15,1,0,0,,1,1,1,1
16,2,0,0,,2,2,2,2
17,2,0,0,,2,2,2,2
18,2,0,0,,2,2,2,2
19,2,0,0,,2,2,2,2
20,2,0,0,,2,2,2,2
21,2,0,0,,2,2,2,2
22,2,0,0,,2,2,2,2
23,2,0,0,,2,2,2,2
24,3,0,0,,3,3,3,3
25,3,0,0,,3,3,3,3
26,3,0,0,,3,3,3,3
27,3,0,0,,3,3,3,3
28,3,0,0,,3,3,3,3
29,3,0,0,,3,3,3,3
30,3,0,0,,3,3,3,3
31,3,0,0,,3,3,3,3
32,4,0,0,,4,4,4,4
33,4,0,0,,4,4,4,4
34,4,0,0,,4,4,4,4
35,4,0,0,,4,4,4,4
36,4,0,0,,4,4,4,4
37,4,0,0,,4,4,4,4
38,4,0,0,,4,4,4,4
39,4,0,0,,4,4,4,4
40,5,1,16,,5,5,5,5
41,5,1,16,,5,5,5,5
42,5,1,16,,5,5,5,5
43,5,1,16,,5,5,5,5
44,5,1,16,,5,5,5,5
45,5,1,16,,5,5,5,5
46,5,1,16,,5,5,5,5
47,5,1,16,,5,5,5,5
48,6,1,16,,6,6,6,6
49,6,1,16,,6,6,6,6
50,6,1,16,,6,6,6,6
51,6,1,16,,6,6,6,6
52,6,1,16,,6,6,6,6
53,6,1,16,,6,6,6,6
54,6,1,16,,6,6,6,6
55,6,1,16,,6,6,6,6
56,7,1,16,,7,7,7,7
57,7,1,16,,7,7,7,7
58,7,1,16,,7,7,7,7
59,7,1,16,,7,7,7,7
60,7,1,16,,7,7,7,7
61,7,1,16,,7,7,7,7
62,7,1,16,,7,7,7,7
63,7,1,16,,7,7,7,7
64,8,1,16,,8,8,8,8
65,8,1,16,,8,8,8,8
66,8,1,16,,8,8,8,8
67,8,1,16,,8,8,8,8
68,8,1,16,,8,8,8,8
69,8,1,16,,8,8,8,8
70,8,1,16,,8,8,8,8
71,8,1,16,,8,8,8,8
72,9,1,16,,9,9,9,9
73,9,1,16,,9,9,9,9
74,9,1,16,,9,9,9,9
75,9,1,16,,9,9,9,9
76,9,1,16,,9,9,9,9
77,9,1,16,,9,9,9,9
78,9,1,16,,9,9,9,9
79,9,1,16,,9,9,9,9
80,10,2,17,,10,10,10,10
81,10,2,17,,10,10,10,10
82,10,2,17,,10,10,10,10
83,10,2,17,,10,10,10,10
84,10,2,17,,10,10,10,10
85,10,2,17,,10,10,10,10
86,10,2,17,,10,10,10,10
87,10,2,17,,10,10,10,10
88,11,2,17,,11,11,11,11
89,11,2,17,,11,11,11,11
90,11,2,17,,11,11,11,11
91,11,2,17,,11,11,11,11
92,11,2,17,,11,11,11,11
93,11,2,17,,11,11,11,11
94,11,2,17,,11,11,11,11
95,11,2,17,,11,11,11,11
96,12,2,17,,12,12,12,12
97,12,2,17,,12,12,12,12
98,12,2,17,,12,12,12,12
99,12,2,17,,12,12,12,12
100,12,2,17,,12,12,12,12
101,12,2,17,,12,12,12,12
102,12,2...

Read more...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers